Package com.documentum.fc.client.search

# Interface IDfSearchSourceMap

public interface IDfSearchSourceMap
Provides a facade to search source discovery.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `areExternalSourcesEnabled()`
  Indicates whether searching on external sources is enabled.
  `int`
  `getAvailableSourceCount()`
  Gets the count of available sources.
  `IDfEnumeration`
  `getAvailableSources()`
  Provides access to an enumeration of all available sources.
  `IDfEnumeration`
  `getAvailableSources(int sourceType)`
  Provides access to an enumeration of available sources of a given type.
  `IDfSearchSource`
  `getSource(String sourceName)`
  Provides access to an individual source.

- ## Method Details

  - ### areExternalSourcesEnabled

    boolean areExternalSourcesEnabled()
    Indicates whether searching on external sources is enabled.
    Returns:
      `true`, if external sources can be searched; `false`, otherwise.

  - ### getAvailableSourceCount

    int getAvailableSourceCount() throws DfException
    Gets the count of available sources. This method only supports available sources accessible through DMCL.ini (for) repositories as well as accessible external sources provided by the configured FS2 Server (dfc.properties).
    Returns:
      The total number of available sources.
    Throws:
      `DfException` - if an exception happened while accessing the source map.

  - ### getAvailableSources

    IDfEnumeration getAvailableSources() throws DfException
    Provides access to an enumeration of all available sources.
    Returns:
      An enumeration of all available sources (IDfEnumeration of IDfSearchSource).
    Throws:
      `DfException` - If an exception happens while accessing the source map.

  - ### getAvailableSources

    IDfEnumeration getAvailableSources(int sourceType) throws DfException
    Provides access to an enumeration of available sources of a given type.
    Parameters:
      `sourceType` - The type of the source that can be one of the following:
      - `IDfSearchSource.SRC_TYPE_DOCBASE`
      - `IDfSearchSource.SRC_TYPE_EXTERNAL`
    Returns:
      An enumeration of available sources of the specified type (IDfEnumeration of IDfSearchSource).
    Throws:
      `DfException` - If an exception happens while accessing the source map.

  - ### getSource

    IDfSearchSource getSource(String sourceName) throws DfException
    Provides access to an individual source.
    Parameters:
      `sourceName` - The name of the source.
    Returns:
      The corresponding source object; or `null` if the source is unknown.
    Throws:
      `DfException` - If an exception happens while accessing the source map.